Name:       js-jquery-noty
Version:    2.4.1
Release:    2%{?dist}
BuildArch:  noarch

License:    MIT
Summary:    A jQuery notification plugin
URL:        https://github.com/needim/noty
Source0:    %{url}/archive/v%{version}.tar.gz

BuildRequires: nodejs-grunt-contrib-concat
BuildRequires: nodejs-grunt-contrib-uglify
BuildRequires: nodejs-grunt-wrap
BuildRequires: nodejs-packaging
BuildRequires: uglify-js
BuildRequires: web-assets-devel

Requires:      js-jquery >= 1.7.0
Requires:      web-assets-filesystem


%description
This is a jQuery notification plugin that makes it easy to create alert
- success - error - warning - information - confirmation messages as an
alternative the standard alert dialog.


%prep
%setup -q -n noty-%{version}

# We must minify the JS ourselves.
find . -name "*.min.js" -delete
rm -rf js/noty/packaged

# We don't want to bump the version, so drop bump from the build command
sed -i "s/bump', 'concat/concat/" Gruntfile.js

%build
%nodejs_symlink_deps --check

grunt build


%install
install -d -m 0755 %{buildroot}/%{_jsdir}
install -d -m 0755 %{buildroot}/%{_jsdir}/noty

install -D -p -m 0644 js/noty/packaged/*.js %{buildroot}/%{_jsdir}/noty/


%files
%license LICENSE.txt
%doc README.markdown
%{_jsdir}/noty


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Mar 26 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 2.4.1-1
- Update to 2.4.1 (#1421358).

* Wed Feb 08 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 2.3.11-1
- Initial release.
